सामग्री पर जाएँ

Style Transfer

इंटीग्रेट करें

मॉडल id image-apps-v2/style-transfer
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/image-apps-v2/style-transfer?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

यह अनुरोध: $0.04 40 API क्रेडिट इसे इस पेज पर चलाएँ

API कुंजी प्राप्त करें
Utility इमेज एडिटिंग रेफ़रेंस इनपुट #style-transfer

किसी प्रीसेट लुक या आपके द्वारा दी गई संदर्भ इमेज की शैली के साथ इमेज का नया स्टाइल बनाता है

Utility · इमेज

आपका पहला परिणाम यहाँ आएगा

नीचे एक अनुरोध बनाएँ और उसे अपनी API कुंजी से चलाएँ। आउटपुट हमारे स्टोरेज में कॉपी किए जाते हैं और हमेशा के लिए या 7 दिन तक मुफ़्त में रखे जाते हैं।

अनुरोध बनाएँ

कंट्रोल मॉडल स्कीमा से जनरेट होते हैं। इन्हें बदलने पर कोड और कीमत अपडेट होती है।

•आवश्यक image_url
फ़ाइल ड्रॉप करें, या

स्थानांतरित शैली प्राप्त करने वाली इमेज का URL।

4K पर आउटपुट आस्पेक्ट अनुपात।

उन्नत style_reference_image_url · target_style
फ़ाइल ड्रॉप करें, या

चयनित प्रीसेट पर प्राथमिकता पाने वाला स्टाइल स्रोत: वैकल्पिक रूप से किसी इमेज का URL दें, ताकि उसका स्टाइल पहचाना और उसके बजाय इस्तेमाल किया जा सके।

डिफ़ॉल्ट impressionist
POST /run/image-apps-v2/style-transfer?wait=20 कोटेशन → $0.04
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/image-apps-v2/style-transfer?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

यह अनुरोध चलाएँ

आपकी key इसी ब्राउज़र में रहती है: इसे केवल Doitong API को भेजा जाता है और केवल तभी (localStorage) में सेव किया जाता है जब आप Remember चुनते हैं। API कुंजी प्राप्त करें

Style Transfer के बारे में

`image_url` के माध्यम से एक इमेज लेता है और 26 प्रीसेट की सूची में से एक `target_style` लागू करता है, जैसे anime_character, cartoon_3d, cyberpunk_future, vaporwave और dark_academia। `style_reference_image_url` देने पर मॉडल प्रीसेट के बजाय उस इमेज से शैली का अनुमान लगाता है। `aspect_ratio` आउटपुट फ़्रेम सेट करता है।

पैरामीटर

कैनोनिकल नाम या नेटिव नाम में से कोई एक भेजें, दोनों नहीं। कैनोनिकल नाम

नामप्रकार डिफ़ॉल्टअनुमत विवरण
image_urlआवश्यक image
प्रकारurl · image
स्थानांतरित शैली प्राप्त करने वाली इमेज का URL।
style_reference_image_urlवैकल्पिक
प्रकारurl · image
चयनित प्रीसेट पर प्राथमिकता पाने वाला स्टाइल स्रोत: वैकल्पिक रूप से किसी इमेज का URL दें, ताकि उसका स्टाइल पहचाना और उसके बजाय इस्तेमाल किया जा सके।
target_styleवैकल्पिक
प्रकारenum
डिफ़ॉल्टimpressionist
anime_charactercartoon_3dhand_drawn_animationcyberpunk_futureanime_game_stylecomic_book_animationanimated_seriescartoon_animationlofi_aestheticcottagecoredark_academiay2kvaporwaveliminal_spaceweirdcoredreamcore
+10 औरsynthwaveoutrunphotorealistichyperrealisticdigital_artconcept_artimpressionistanimepixel_artclaymation
aspect_ratioवैकल्पिक
प्रकारobject
4K पर आउटपुट आस्पेक्ट अनुपात।
aspect_ratio.ratioवैकल्पिक
प्रकारenum
डिफ़ॉल्ट1:1
1:116:99:164:33:4
4K रिज़ॉल्यूशन पर आउटपुट आस्पेक्ट अनुपात।
आवश्यक कैनोनिकल नाम, यह भी स्वीकार्य है

फ़ाइल पैरामीटर में सार्वजनिक https:// URL, 10 MB तक का data: URI, या अपलोड का file_url लिया जाता है। फ़ाइलें

आउटपुट

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "image-apps-v2/style-transfer",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 40,
    "usd": "0.04",
    "charged": 40,
    "refunded": 0
  },
  "input": {
    "image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  },
  "output": {
    "images": [
      {
        "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
        "content_type": "image/jpeg",
        "file_name": "0-output.jpeg",
        "file_size": 1843200,
        "width": 1024,
        "height": 768
      }
    ]
  },
  "outputs": [
    {
      "type": "image",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_size": 1843200,
      "width": 1024,
      "height": 768,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
आपकी फ़ाइलें, आपकी पसंदहर outputs[].url हमारे स्टोरेज में एक कॉपी है: हमेशा के लिए (प्रति GB-माह भुगतान) या 7 दिन तक मुफ़्त में, आपके अकाउंट की सेटिंग या ?storage= के अनुसार।
हर मॉडल पर एक जैसा आकारइमेज, वीडियो और ऑडियो सभी के लिए type, url, content_type, width, height और duration। output मॉडल का अपना परिणाम ऑब्जेक्ट है।
आउटपुट के फ़ील्ड
images
array of object {url, content_type, file_name, file_size, width, height}स्टाइल ट्रांसफ़र के बाद की इमेज।

और मॉडल: इमेज एडिटिंग

AI एजेंट के लिए: इस पेज का Markdown यहाँ है https://doitong.com/hi/developers/models/image-apps-v2/style-transfer.md. सभी मॉडल और गाइड: https://doitong.com/developers/llms.txt